<!DOCTYPE html>
<html>
<head lang="en">
    <include file="appapi@head"/>
	<link type="text/css" rel="stylesheet" href="__STATIC__/appapi/css/family.css"/>
	<style type="text/css">
		body{
			background: #FFF;
		}
	</style>
    <title>{:lang('ANCHOR_DATA')}</title>
</head>
<body class="long">
	<div class="profit_bg">
        <notempty name="list">
		<div class="profit_ul_t">
			<span>{:lang('ANCHOR')}</span>
			<span>{:lang('TIME')}</span>
			<span>{:lang('LIVE_TIME')}</span>
		</div>
        </notempty>
		<div class="profit_ul clear">
			<ul>
				<volist name="list" id="v">
				<li>
					<span>{$v['userinfo']['user_nickname']}</span>
					<span>{$v['time']}</span>
					<span>{$v['total']}</span>
				</li>
				</volist>
                <empty name="list">
                    <div class="li_empty">
                        <p class="title"></p>
                        <p class="des">{:lang("THERE_ISS_NO_ANCHOR_DATA_YET")}</p>
                    </div>
                </empty>
			</ul>
		</div>
	</div>

	<script>
		var familyid='{$familyid}';
	</script>
	<include file="appapi@footer"/>
	<script>
	$(function(){
		function getlistmore(){
			$.ajax({
				url:'/appapi/Family/long_more',
				data:{'page':page,'uid':uid,'token':token,'familyid':familyid,'language':language_type},
				type:'post',
				dataType:'json',
				success:function(data){
					if(data.nums>0){
							var nums=data.nums;
							var list=data.data;
							var html='';
							for(var i=0;i<nums;i++){
								html+='<li>\
										<span>'+list[i]['userinfo']['user_nickname']+'</span>\
										<span>'+list[i]['time']+'</span>\
										<span>'+list[i]['total']+'</span>\
									</li>';
							}
						
						$(".profit_ul ul").append(html);
					}
					
					if(data.isscroll==1){
						page++;
						isscroll=true;
					}
				}
			})
		}
		var page=2; 
		var isscroll=true; 

		$(".profit_ul").scroll(function(){  
				var srollPos = $(".profit_ul").scrollTop();    //滚动条距顶部距离(页面超出窗口的高度)  		
				var totalheight = parseFloat($(".profit_ul").height()) + parseFloat(srollPos);  
				if(($(document).height()-50) <= totalheight  && isscroll) {  
						isscroll=false;
						getlistmore()
				}  
		});  

	})
	</script>	
</body>
</html>